www/flashpluginwrapper

Brandon D. Valentine brandon at dvalentine.com
Wed Feb 18 16:31:32 PST 2004


On Wed, Feb 18, 2004 at 09:47:48AM -0500, Adam Weinberger wrote:
> >> (02.18.2004 @ 0858 PST): Norikatsu Shigemura said, in 1.1K: <<
> > 	I will not remove flashpluginwrapper.  But I think that anyone
> > 	doesn't want to use this port.  Because it was upgrade to
> > 	linuxpluginwrapper.  Of cause, I know many people who is using
> > 	non-libmap.conf(5) feature's environment.  So I'm keeping it.
> 
> On systems on which linuxflashplugin will work out-of-the-box (i.e. 5.X,
> 4.X after a week ago), I think flashpluginwrapper should still be marked
> IGNORE, and should instruct people to use linuxflashplugin.

My suggestion would be to add a conditional to the port Makefile like
this:

.if ${OSVERSION} < 490102
IGNORE=		"Please use www/linuxpluginwrapper.  This port should be obsolete.  If you wish to use this port anyway, set NO_IGNORE."
.endif

HTH,

Brandon D. Valentine
-- 
brandon at dvalentine.com                           http://www.geekpunk.net
Pseudo-Random Googlism:  winter is camellia season


More information about the freebsd-ports mailing list